import { Layout } from 'antd';
import { AnnotationPanel } from '../../components/annotation/annotationPanel';
import { DocumentAnnotationView } from '../../components/annotation/documentAnnotationView';
import { TagPanel } from '../../components/annotation/tagPanel';
import { MainLayout } from '../../layouts/mainLayout';
import 'antd/dist/antd.css';
import styles from '/styles/annotation.module.scss';

const { Content, Sider } = Layout;

/**
 * Creates an annotation screen.
 * @returns The annotation screen.
 */
function Annotation() {
    return (
        <MainLayout>
            <Layout hasSider>
                <Sider className={styles.leftSidePanel}>
                    <TagPanel />
                </Sider>
                <Content className={styles.mainView}>
                    <DocumentAnnotationView />
                </Content>
                <Sider className={styles.rightSidePanel}>
                    <AnnotationPanel />
                </Sider>
            </Layout>
        </MainLayout>
    );
}

export default Annotation;
